MIX_TrackPaused(3)

NAME
MIX_TrackPaused - Query if a track is currently paused.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_TrackPaused(MIX_Track *track);

DESCRIPTION
If this returns true, the track is not currently contributing to the mixer's output but will when resumed (it's "paused"). It is not playing nor stopped.

On various errors (MIX_Init() was not called, the track is NULL), this returns false, but there is no mechanism to distinguish errors from non-playing tracks.

FUNCTION PARAMETERS

track
    the track to query.

RETURN VALUE
Returns true if paused, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_PlayTrack(3), MIX_PauseTrack(3), MIX_ResumeTrack(3), MIX_StopTrack(3), MIX_TrackPlaying(3)